package com.hgzx.plp.ds.oc.controller;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import org.apache.commons.lang3.StringUtils;

public class BaseController {
	public boolean isIp(String ipAddress) {
        String ip = "([1-9]|[1-9]\\d|1\\d{2}|2[0-4]\\d|25[0-5])(\\.(\\d|[1-9]\\d|1\\d{2}|2[0-4]\\d|25[0-5])){3}"; 
        Pattern pattern = Pattern.compile(ip);
        Matcher matcher = pattern.matcher(ipAddress);
        return matcher.matches();
    }
	
	public String appendZero(String str, int len) {
		if(StringUtils.isEmpty(str)) {
			String temp = "";
			for(int i=0; i<len; i++) {
				temp += "0";
			}
			return temp;
		}
		
		if(str.length() >= len) {
			return str;
		}
		
		int zeroLen = len - str.length();
		for(int j=0; j< zeroLen; j++) {
			str = "0" + str;
		}
		return str;
	}
	
	public String appenZeroIp(String ip) {
		String[] ips = ip.split("\\.");
		String resultIp = "";
		for(int i=0; i<4; i++) {
			if(i<3) {
				resultIp = resultIp + appendZero(ips[i], 3) + ".";
			} else {
				resultIp = resultIp + appendZero(ips[i], 3);
			}
		}
		return resultIp;
	}
	
	
	public static void main(String[] args) {
		BaseController b = new BaseController();
		System.out.println(b.isIp("192.168.1.2"));
	}
}
