package com.hgzx.plp.ds.oc.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;

@TableName("device_data")
public class OcJhtData implements Serializable {
	
	private static final long serialVersionUID = 1L;

	/**
	 * ID为主键
	 */
	@TableId(type = IdType.UUID)
	private String id;
	/**
	 * 设备号
	 */
	private String deviceSn;
	
	/**
	 * 硬件版本号
	 */
	private String firmwareVer;
	
	/**
	 * 基站ID
	 */
	private String baseStationId;
	
	/**
	 * 信号强度
	 */
	private String csq;
	
	/**
	 * 物理小区标志
	 */
	private String pci;
	
	/**
	 * 模组识别号
	 */
	private String imei;

	/**
	 * SIM卡号
	 */
	private String imsi;

	/**
	 * 设备状态 1=安装，0=拆卸
	 */
	private String deviceStatus;
	
	/**
	 * 电池剩余电量
	 */
	private String deviceBatteryLevel;
	
	/**
	 * 定位状态 1=定位成功，0=定位失败
	 */
	private String positionStatus;
	
	/**
	 * GPS纬度
	 */
	private String gpsLatitude;

	/**
	 * GPS经度
	 */
	private String gpsLongitude;

	/**
	 * 当前GPS时间	180107162231
	 */
	private String gpsTime;
	
	/**
	 * GPS速度
	 */
	private String gpsSpeed;
	
	/**
	 * GPS方向角
	 */
	private String gpsAngle;
	
	/**
	 * GPS海拔高度
	 */
	private String gpsAltitude;
	
	/**
	 * 消息Id
	 */
	private String messageId;
	
	/**
	 * 保留字段
	 */
	private String reserve;
	
	/**
	 * 数据时间
	 */
	private String dataTime;
	
	/**
	 * 唤醒时间
	 */
	private String awakenInterval;
	
	/**
	 * 数据接收时间
	 */
	private String dataRevTime;

	public String getDeviceSn() {
		return deviceSn;
	}

	public void setDeviceSn(String deviceSn) {
		this.deviceSn = deviceSn;
	}

	public String getFirmwareVer() {
		return firmwareVer;
	}

	public void setFirmwareVersion(String firmwareVer) {
		this.firmwareVer = firmwareVer;
	}

	public String getBaseStationId() {
		return baseStationId;
	}

	public void setBaseStationId(String baseStationId) {
		this.baseStationId = baseStationId;
	}

	public String getCsq() {
		return csq;
	}

	public void setCsq(String csq) {
		this.csq = csq;
	}

	public String getPci() {
		return pci;
	}

	public void setPci(String pci) {
		this.pci = pci;
	}

	public String getImei() {
		return imei;
	}

	public void setImei(String imei) {
		this.imei = imei;
	}

	public String getImsi() {
		return imsi;
	}

	public void setImsi(String imsi) {
		this.imsi = imsi;
	}

	public String getDeviceStatus() {
		return deviceStatus;
	}

	public void setDeviceStatus(String deviceStatus) {
		this.deviceStatus = deviceStatus;
	}

	public String getDeviceBatteryLevel() {
		return deviceBatteryLevel;
	}

	public void setDeviceBatteryLevel(String deviceBatteryLevel) {
		this.deviceBatteryLevel = deviceBatteryLevel;
	}

	public String getPositionStatus() {
		return positionStatus;
	}

	public void setPositionStatus(String positionStatus) {
		this.positionStatus = positionStatus;
	}

	public String getGpsLatitude() {
		return gpsLatitude;
	}

	public void setGpsLatitude(String gpsLatitude) {
		this.gpsLatitude = gpsLatitude;
	}

	public String getGpsLongitude() {
		return gpsLongitude;
	}

	public void setGpsLongitude(String gpsLongitude) {
		this.gpsLongitude = gpsLongitude;
	}

	public String getGpsTime() {
		return gpsTime;
	}

	public void setGpsTime(String gpsTime) {
		this.gpsTime = gpsTime;
	}

	public String getGpsSpeed() {
		return gpsSpeed;
	}

	public void setGpsSpeed(String gpsSpeed) {
		this.gpsSpeed = gpsSpeed;
	}

	public String getGpsAngle() {
		return gpsAngle;
	}

	public void setGpsAngle(String gpsAngle) {
		this.gpsAngle = gpsAngle;
	}

	public String getGpsAltitude() {
		return gpsAltitude;
	}

	public void setGpsAltitude(String gpsAltitude) {
		this.gpsAltitude = gpsAltitude;
	}

	public String getMessageId() {
		return messageId;
	}

	public void setMessageId(String messageId) {
		this.messageId = messageId;
	}

	public String getReserve() {
		return reserve;
	}

	public void setReserve(String reserve) {
		this.reserve = reserve;
	}

	public String getDataTime() {
		return dataTime;
	}

	public void setDataTime(String dataTime) {
		this.dataTime = dataTime;
	}

	public String getDataRevTime() {
		return dataRevTime;
	}

	public void setDataRevTime(String dataRevTime) {
		this.dataRevTime = dataRevTime;
	}

	public String getAwakenInterval() {
		return awakenInterval;
	}

	public void setAwakenInterval(String awakenInterval) {
		this.awakenInterval = awakenInterval;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}
}
