package com.hgzx.plp.ds.oc.service;

import com.hgzx.plp.ds.oc.model.DeviceData;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.hgzx.plp.ds.oc.mapper.DeviceDataMapper;
import com.hgzx.plp.ds.oc.model.OcJhtData;

import java.util.List;

@Service
public class DeviceDataService extends ServiceImpl<DeviceDataMapper, OcJhtData>  {

	@Autowired
	private DeviceDataMapper deviceDataMapper;

	private static final Logger logger = LoggerFactory.getLogger(DeviceDataService.class);

	public List<DeviceData> getCurrentDeviceData()
	{
		return deviceDataMapper.selectCurrentDeviceData();
	}

	public int insertDeviceData(OcJhtData deviceData) {
		deviceDataMapper.insertDeviceData(deviceData);
		return 0;
	}
}
