package com.hgzx.plp.ds.oc.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import com.hgzx.plp.ds.oc.model.OcToken;
import com.hgzx.plp.ds.oc.service.OcTokenService;

@Controller
@RequestMapping("/iocm")
public class OcTestController {
	
	//private static final Logger logger = LoggerFactory.getLogger(OcTestController.class);
	
	@Autowired
	private OcTokenService tokenService;

	@RequestMapping(value = "/token", produces = MediaType.APPLICATION_JSON_VALUE)
	@ResponseBody
	public OcToken getToken() throws Exception {
    	return tokenService.getToken();
	}
	
	@RequestMapping(value = "/refreshToken", produces = MediaType.APPLICATION_JSON_VALUE)
	@ResponseBody
	public OcToken getRefreshToken() throws Exception {
		OcToken token = tokenService.getToken();
    	return tokenService.getRefreshToken(token.getRefreshToken());
	}
}