package com.hgzx.plp.ds.oc.mapper;

import com.hgzx.plp.ds.oc.model.DeviceData;
import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.hgzx.plp.ds.oc.model.OcJhtData;

import java.util.List;

/**
 * <p>
 * OBD终端设备数据 Mapper 接口
 * </p>
 * 
 * @author 柏耀明
 * @since 2017-06-10
 */
@Mapper
public interface DeviceDataMapper extends BaseMapper<OcJhtData> {
    List<DeviceData> selectCurrentDeviceData();

    public int insertDeviceData(OcJhtData deviceData);
}