package com.hgzx.plp.ds.oc.model;

import java.io.Serializable;

/**
 * 命令响应信息t
 * @author 柏耀明
 * 
 * {
    "error_code": "100418",
    "error_desc": "The deviceData is not existed. For more information, please visit the following URL: http://developer.huawei.com/ict/forum/forum.php?mod=viewthread&tid=2161&extra="
   }
 * {
	"commandId": "1ed1c57339f946a98b6d387df2466676",
	"appId": "wUe3rHssKFUkSrt4bhyj721x7eMa",
	"deviceId": "380d0a78-3194-4d49-9a15-e68bff6ad00c",
	"command": {
		"serviceId": "upData",
		"method": "SET_OC_SERVER",
		"paras": {
			"server": "192.168.1.2:5050"
		}
	},
	"callbackUrl": "http://ocds.s1.natapp.cc:80/iocm/callback/reportCmdExecResult",
	"expireTime": 172800,
	"status": "PENDING",
	"creationTime": "20181023T052338Z",
	"issuedTimes": 0
 *}
 */
public class OcCmdRsp implements Serializable {

	private static final long serialVersionUID = 1L;
	
	private String commandId;
	
	private String appId;
	
	private String deviceId;
	
	private OcCmd command;
	
	private String callbackUrl;
	
	private Integer expireTime;
	
	private String status;
	
	private String creationTime;
	
	private Integer isssuedTimes;

	public String getCommandId() {
		return commandId;
	}

	public void setCommandId(String commandId) {
		this.commandId = commandId;
	}

	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	public String getDeviceId() {
		return deviceId;
	}

	public void setDeviceId(String deviceId) {
		this.deviceId = deviceId;
	}

	public String getCallbackUrl() {
		return callbackUrl;
	}

	public void setCallbackUrl(String callbackUrl) {
		this.callbackUrl = callbackUrl;
	}

	public Integer getExpireTime() {
		return expireTime;
	}

	public void setExpireTime(Integer expireTime) {
		this.expireTime = expireTime;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getCreationTime() {
		return creationTime;
	}

	public void setCreationTime(String creationTime) {
		this.creationTime = creationTime;
	}

	public Integer getIsssuedTimes() {
		return isssuedTimes;
	}

	public void setIsssuedTimes(Integer isssuedTimes) {
		this.isssuedTimes = isssuedTimes;
	}

	public OcCmd getCommand() {
		return command;
	}

	public void setCommand(OcCmd command) {
		this.command = command;
	}

	@Override
	public String toString() {
		return "OcCmdRsp [commandId=" + commandId + ", appId=" + appId + ", deviceId=" + deviceId + ", command=" + command
				+ ", callbackUrl=" + callbackUrl + ", expireTime=" + expireTime + ", status=" + status
				+ ", creationTime=" + creationTime + ", isssuedTimes=" + isssuedTimes + "]";
	}
	
}
