package com.hgzx.plp.ds.oc.model;

public class OcDeviceInfo {
	
	/**
	 * 制造商ID
	 */
	private String manufacturerId;
	
	/**
	 * 制造商名称
	 */
    private String manufacturerName;
    
    /**
	 * 设备类型
	 */
    private String deviceType;
    
    /**
	 * 设备型号
	 */
    private String model;
    
    /**
	 * 通信类型
	 */
    private String protocolType = "CoAP";
    
    /**
     * 设备名称
     */
    private String name;
    
    /**
     * 位置
     */
    private String location = "anhui";
    
    /**
     * 设备id
     */
    private String deviceId;
    
    /**
     * nodeId
     */
    private String nodeId;
    
    /**
     * 激活状态
     */
    private String activated;
	
    public String getManufacturerId() {
		return manufacturerId;
	}
	
    public void setManufacturerId(String manufacturerId) {
		this.manufacturerId = manufacturerId;
	}
	
    public String getManufacturerName() {
		return manufacturerName;
	}
	
    public void setManufacturerName(String manufacturerName) {
		this.manufacturerName = manufacturerName;
	}
	
    public String getDeviceType() {
		return deviceType;
	}
	
    public void setDeviceType(String deviceType) {
		this.deviceType = deviceType;
	}
	
    public String getModel() {
		return model;
	}
	
    public void setModel(String model) {
		this.model = model;
	}
	
    public String getProtocolType() {
		return protocolType;
	}
	
    public void setProtocolType(String protocolType) {
		this.protocolType = protocolType;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDeviceId() {
		return deviceId;
	}

	public void setDeviceId(String deviceId) {
		this.deviceId = deviceId;
	}

	public String getLocation() {
		return location;
	}

	public void setLocation(String location) {
		this.location = location;
	}

	public String getNodeId() {
		return nodeId;
	}

	public void setNodeId(String nodeId) {
		this.nodeId = nodeId;
	}

	public String getActivated() {
		return activated;
	}

	public void setActivated(String activated) {
		this.activated = activated;
	}

	@Override
	public String toString() {
		return "OcDeviceInfo [manufacturerId=" + manufacturerId + ", manufacturerName=" + manufacturerName
				+ ", deviceType=" + deviceType + ", model=" + model + ", protocolType=" + protocolType + ", name="
				+ name + ", location=" + location + ", deviceId=" + deviceId + ", nodeId=" + nodeId + ", activated="
				+ activated + "]";
	}
    
}
